API referenceConnect
GET /connect/pending/{id}
A pending connection of this organization: options to pick (no tokens). Expires after 30 minutes
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringPending connection id
{pending}
application/json- response
pending?curl -X GET 'https://example.com/api/v1/connect/pending/string'Example Response
{ "pending": { "id": "string", "platform": "string", "kind": "string", "externalId": "string", "expiresAt": "2019-08-24T14:15:22Z", "options": [ { "id": "string", "name": "string", "category": "string", "pictureUrl": "string", "tasks": [ "string" ] } ] }}GET /connect/pending GET
Unexpired pending connections of this organization, newest first (options without tokens). Use it, or the connection.pending webhook, to learn the id after an API-started Facebook connect
POST /connect/pending/{id}/select POST
Connect the chosen options (one account each, e.g. one per Facebook Page); completes the pending connection